Package Details: gimp-webp 0.2-1

Git Clone URL: https://aur.archlinux.org/gimp-webp.git (read-only)
Package Base: gimp-webp
Description: This plugin provides Gimp with the ability to load and export WebP images.
Upstream URL: https://github.com/nathan-osman/gimp-webp
Keywords: gimp webp
Licenses: GPL3
Groups: gimp-plugins
Conflicts: gimp-plugin-webp
Submitter: phw
Maintainer: phw
Last Packager: phw
Votes: 27
Popularity: 0.138328
First Submitted: 2015-07-09 10:40
Last Updated: 2015-07-09 10:43

Latest Comments

phw commented on 2015-07-09 10:48

Ok, I have found a couple of gimp plugins that don't use the gimp-plugin-, so probably best to follow the upstream naming. I also added the gimp-plugins group, at least it does no harm and maybe others will follow. I will open the merge request.

phw commented on 2015-07-09 10:20

I have updated the license name, thanks for pointing that out.

I rather have the naming of this package consistent with the tons of other gimp-plugin-* packages we have both in the AUR and the official repos and I see no need to break easy upgrading of this package for no good reason. Also there is no direct way to rename an existing package other than to create a new one and file a removal request for the old one.

I have also not found any precedence of a "gimp-plugins" group anywhere and I doubt it would be useful. Why would anybody like to install all available plugins for gimp?

Jristz commented on 2015-07-09 09:59

also ach licensing scheme say that GPK-3.0 is writted as GPL3 and GPL2+ as GPL2, you could file a bug againt licence package if you aren't happy or dissagree with that aproach-

Jristz commented on 2015-07-09 09:58

but upstream name is gimp-webp not gimp-plugin-webp
you could use a grup=("gimp-plugins") in the same way that firefox do.

phw commented on 2015-07-09 09:22

I have finally upgraded the plugin to your new version :)

nathan-osman commented on 2015-06-07 21:21

I've just moved the plugin over to GitHub now (https://github.com/nathan-osman/gimp-webp). I've also switched from a Makefile to using CMake, so it should be *much* simpler to compile now. Please let me know if there's anything I can do to help.

phw commented on 2015-01-03 22:58

Thanks for the feedback. No idea when this changed, but it is related to the fact that the package tried to install directly to /lib instead of /usr/lib.

I have fixed it, but according to the README one is supposed to use gimptool-2.0 to build the package. I however could not get this to work so use make directly and set the DESTDIR accordingly. If somebody knows a nicer way (that actually works) let me know.

psychoticmeow commented on 2015-01-03 22:09

I get an error when trying to install this:

error: failed to commit transaction (conflicting files)
gimp-plugin-webp: /lib exists in filesystem